Name: H5Pget_version
Signature:
  herr_t `H5Pget_version`(hid_t `plist`, unsigned * `super`, unsigned * `freelist`, unsigned * `stab`, unsigned * `shhdr` )
Purpose:
  Retrieves the version information of various objects for a file creation property list.
Description:
  `H5Pget_version` retrieves the version information of various objects for a file creation property list. Any pointer parameters which are passed as NULL are not queried.
Parameters:

hid_t `plist` | IN: Identifier of the file creation property list.
unsigned * `super` | OUT: Pointer to location to return super block version number.
unsigned * `freelist` | OUT: Pointer to location to return global freelist version number.
unsigned * `stab` | OUT: Pointer to location to return symbol table version number.
unsigned * `shhdr` | OUT: Pointer to location to return shared object header version number.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_version_f

      SUBROUTINE h5pget_version_f(prp_id, boot, freelist, &
                                  stab, shhdr, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id         ! Property list identifier
        INTEGER, DIMENSION(:), INTENT(OUT) :: boot   ! Array to put boot block
                                                     ! version number
        INTEGER, DIMENSION(:), INTENT(OUT) :: freelist
                                                     ! Array to put global
                                                     ! freelist version number
        INTEGER, DIMENSION(:), INTENT(OUT) :: stab   ! Array to put symbol table
                                                     ! version number
        INTEGER, DIMENSION(:), INTENT(OUT) :: shhdr  ! Array to put shared object
                                                     ! header version number
        INTEGER, INTENT(OUT) :: hdferr               ! Error code
                                                     ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_version_f

History:

Release | C
1.6.4 | `boot`, `freelist`, `stab`, `shhdr` parameter types changed to unsigned.